using System;

namespace spojler
{
    internal class Program
    {
        static void Main(string[] args)
        {
            string[] str = Console.ReadLine().Split();
            int a = int.Parse(str[0]);
            int b = int.Parse(str[1]);
            str = Console.ReadLine().Split();
            int x = int.Parse(str[0]);
            int y = int.Parse(str[1]);
            bool pr = false;
            bool dr = false;
            if (x == a) pr = true;
            if (y == b) dr = true;
            if (pr && dr) Console.WriteLine("nijedan");
            else if (!pr && !dr) Console.WriteLine("?");
            else if (!pr) Console.WriteLine("prvi");
            else Console.WriteLine("drugi");
        }
    }
}